GitHub Repository API

Get public metadata for one GitHub repository.

1 creditper request
GET
/v1/github/repository
curl "https://api.scrapecreators.com/v1/github/repository" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49997684249,
  "repository": {
    "id": 2325298,
    "node_id": "MDEwOlJlcG9zaXRvcnkyMzI1Mjk4",
    "name": "linux",
    "full_name": "torvalds/linux",
    "owner": {
      "id": 1024025,
      "login": "torvalds",
      "avatar_url": "https://avatars.githubusercontent.com/u/1024025?v=4",
      "url": "https://github.com/torvalds",
      "type": "User"
    },
    "private": false,
    "url": "https://github.com/torvalds/linux",
    "description": "Linux kernel source tree",
    "fork": false,
    "homepage": "",
    "language": "C",
    "forks_count": 62423,
    "stars_count": 233979,
    "watchers_count": 233979,
    "size": 6298741,
    "default_branch": "master",
    "open_issues_count": 3,
    "topics": [],
    "license": {
      "key": "other",
      "name": "Other",
      "spdx_id": "NOASSERTION"
    },
    "archived": false,
    "disabled": false,
    "visibility": "public",
    "pushed_at": "2026-05-21T16:23:10Z",
    "created_at": "2011-09-04T22:48:12Z",
    "updated_at": "2026-05-21T19:31:40Z"
  }
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

GitHub repository URL

Example:
https://github.com/torvalds/linux